Message Boards

Topic: 0.6 Launcher, changes?  (Read 6549 times)

Offline quads

  • Posts: 7
    • View Profile
0.6 Launcher, changes?
« on: May 12, 2012, 11:12:33 »
Did the launcher get changed in the new release?  For some reason I can't get it to compile this time and to save myself the trouble of figuring it out I was going to just run the old one.

Offline Hekksy

  • Doomin' since '96
  • Administrator
  • Posts: 152
    • View Profile
Re: 0.6 Launcher, changes?
« Reply #1 on: May 12, 2012, 12:50:09 »
Yes, the launcher protocol has changed a bit from 0.5.6. You need to use Odalaunch 0.6.0 to see the 0.6 servers.

Until someone can help you further, I can point you to this so you can at least see the servers and connect manually


http://odamex.net/servers.php
Join the Odamex Steam group! http://steamcommunity.com/groups/odamex
Check out the Odamex Discord as well: https://discord.gg/vHUu236

Offline Ralphis

  • Administrator
  • Posts: 111
    • View Profile
Re: 0.6 Launcher, changes?
« Reply #2 on: May 12, 2012, 16:56:22 »
Providing a pastebin of the errors you're experiencing while compiling would go a long way in helping some of our guys get you up and running.

Offline quads

  • Posts: 7
    • View Profile
Re: 0.6 Launcher, changes?
« Reply #3 on: May 12, 2012, 21:07:00 »
Providing a pastebin of the errors you're experiencing while compiling would go a long way in helping some of our guys get you up and running.

Yeah I will do that tomorrow when I get some time.

Its obviously something to do with wxwidgets, maybe it can't find it, however I did go back and recompile 0.5.6 launcher and it works just fine, so I dunno.  I'll probably be able to figure it out, just thought I'd ask first before I looked to deeply into it.

Offline quads

  • Posts: 7
    • View Profile
Re: 0.6 Launcher, changes?
« Reply #4 on: May 13, 2012, 19:05:51 »
http://pastebin.com/raw.php?i=Y7FkqMy4

A gcc error I guess?  Maybe I am spacing out on something.

Thanks for the help.

Offline HyperEye

  • Developer
  • Posts: 13
    • View Profile
Re: 0.6 Launcher, changes?
« Reply #5 on: May 14, 2012, 02:51:20 »
One thing you might try is building using cmake. At the top level of the Odamex source:

1) mkdir build; cd build
2) cmake -DCMAKE_BUILD_TYPE=Release ..
3) make

That will build all targets. If you want to build just the launcher type `make odalaunch`. If this does not work then please share the output of `wx-config --version`.

We recommend using cmake to build from now on as we are deprecating the old Makefiles and they will be removed soon. Thanks.

Offline Dr. Sean

  • Developer
  • Posts: 69
  • G'd up from tha feet up
    • View Profile
    • Odamex - Helping middle-aged men relive their teen years
Re: 0.6 Launcher, changes?
« Reply #6 on: May 14, 2012, 08:13:31 »
wxIntPtr is a data type that is defined in versions of wxWidgets > 2.8.11.  I had to upgrade wxWidgets recently to compile Odalauncher.  If you have a Debian or Ubuntu based OS, http://wiki.wxpython.org/InstallingOnUbuntuOrDebian is a helpful tutorial on adding a more up-to-date wxWidgets repository.

If upgrading wxWidgets is not practical, you can add the following bit of code to the top of odalaunch/src/lst_custom.cpp, which will define the wxIntPtr type on older versions of wxWidgets.

Code: [Select]
/* Versions before 2.8.11 dont' have wxIntPtr defined */
#ifndef wxIntPtr
#if SIZEOF_LONG >= SIZEOF_VOID_P && SIZEOF_LONG >= SIZEOF_SIZE_T
/* normal case */
typedef unsigned long wxUIntPtr;
typedef long wxIntPtr;
#elif SIZEOF_SIZE_T >= SIZEOF_VOID_P
/* Win64 case */
typedef size_t wxUIntPtr;
#define wxIntPtr ssize_t
#endif
#endif
Odamex Development Team Member

Offline quads

  • Posts: 7
    • View Profile
Re: 0.6 Launcher, changes?
« Reply #7 on: May 14, 2012, 13:16:17 »
Yes wxwidgets was version 2.8.10 and rather than upgrading, changing the code worked, thanks all.